function drawButtons(fig_handle,XLoc,YLoc,iC,width,height,CallbackFunc)

global MClust_Colors

%draw keys on figure

    uicontrol('Parent', fig_handle, ...
   'Units', 'Normalized', 'Position', [XLoc YLoc width/2 height], ...
   'Style', 'frame', 'BackgroundColor', MClust_Colors(iC+1,:), 'Enable', 'inactive', ...
   'Tag', 'ChooseColor', 'UserData', iC, 'ButtonDownFcn', CallbackFunc, ...
   'TooltipString', 'Change cluster color');

    uicontrol('Parent', fig_handle, ...
   'Units', 'Normalized', 'Position', [XLoc+width/2 YLoc width/2 height], ...
   'Style', 'text', 'String', num2str(iC), 'UserData', iC);

